#!/bin/bash

# Set release
release=focal

# Store installed packages
apt list --installed | tee earth.txt
for host in "moon" "mercury" "neptune"; do ssh $host "apt list --installed" | tee $host.txt; done
for i in {1..20}; do ssh jetson-agx-$i "apt list --installed" | tee jetson-agx-$i.txt; done

# Strip keywords
sed -i "s/,automatic//" *.txt
sed -i "s/,local//" *.txt
sed -i "s/${release},//" *.txt
sed -i "s/${release}-updates,//" *.txt
sed -i "s/${release}-security,//" *.txt
sed -i "/Listing.../d" *.txt
sed -i "s/ \[installed\]//" *.txt
sed -i "s/ amd64//" *.txt
sed -i "s/ arm64//" *.txt
sed -i "s/ all//" *.txt
